# Called by paths_are_roads:select_for_check_loop
# Checks whether we should check for paths underneath an entity (paths generally only apply to entities consciously prepared by a player)
## Path users without any other conditions (players, villagers)
execute as @s[type=#paths_are_roads:requirement/none] run function paths_are_roads:check_for_path

## Path users that require a saddle
# Entities that have a `SaddleItem` tag to keep the item in
execute as @s[type=#paths_are_roads:requirement/saddle/tag_exists_saddleitem] if data entity @s SaddleItem run function paths_are_roads:check_for_path
# Entities that have a bool called `Saddle` set
execute as @s[type=#paths_are_roads:requirement/saddle/bool_saddle, nbt={Saddle: 1b}] run function paths_are_roads:check_for_path
# Entities that have a bool called `Saddled` set
execute as @s[type=#paths_are_roads:requirement/saddle/bool_saddled, nbt={Saddled: 1b}] run function paths_are_roads:check_for_path
# Entities that have a bool called `IsSaddled` set
execute as @s[type=#paths_are_roads:requirement/saddle/bool_issaddled, nbt={IsSaddled: 1b}] run function paths_are_roads:check_for_path

## Path users with unique requirements
execute as @s[type=#paths_are_roads:requirement/unique] run function #paths_are_roads:unique_requirement

## Path users that are tamed (reserved for when no other methods apply, as it is the one most likely to apply to mobs not currently being ridden)
## Sometimes the choice of specific tag within this category was arbitrary as multiple were possible (i.e. Alex's Mobs Elephant)
# Entities that have a bool called `Tame` set
execute as @s[type=#paths_are_roads:requirement/taming/bool_tame, nbt={Tame: 1b}] run function paths_are_roads:check_for_path
# Entities that have a bool called `Tamed` set (empty by default)
execute as @s[type=#paths_are_roads:requirement/taming/bool_tamed, nbt={Tamed: 1b}] run function paths_are_roads:check_for_path
# Entities that have an `Owner` tag
execute as @s[type=#paths_are_roads:requirement/taming/tag_exists_owner] if data entity @s Owner run function paths_are_roads:check_for_path